# log4cplus::helpers::Socket Class Reference

This class implements client sockets (also called just "sockets"). More...

`#include <socket.h>`

Inheritance diagram for log4cplus::helpers::Socket:

[legend]
Collaboration diagram for log4cplus::helpers::Socket:

[legend]
List of all members.

## Public Member Functions

| Socket ()
| Socket (SOCKET_TYPE sock, SocketState state, int err)
| Socket (const tstring &address, int port)
virtual | ~Socket ()
virtual bool | read (SocketBuffer &buffer)
virtual bool | write (const SocketBuffer &buffer)

## Detailed Description

This class implements client sockets (also called just "sockets").

A socket is an endpoint for communication between two machines.

Definition at line 76 of file socket.h.

## Constructor & Destructor Documentation

log4cplus::helpers::Socket::Socket | ( |  | ) |

log4cplus::helpers::Socket::Socket | ( | SOCKET_TYPE | sock,
|  | SocketState | state,
|  | int | err
| ) |

log4cplus::helpers::Socket::Socket | ( | const tstring & | address,
|  | int | port
| ) |

virtual log4cplus::helpers::Socket::~Socket | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool log4cplus::helpers::Socket::read | ( | SocketBuffer & | buffer | ) | `[virtual]`

virtual bool log4cplus::helpers::Socket::write | ( | const SocketBuffer & | buffer | ) | `[virtual]`

The documentation for this class was generated from the following file:

- socket.h